Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.ling
Class CoreAnnotations.NotAnnotation

    java.lang.Object
      edu.stanford.nlp.ling.CoreAnnotations.NotAnnotation

All Implemented Interfaces:
  CoreAnnotation<Boolean>, TypesafeMap.Key<CoreMap,Boolean>

Enclosing class:
  CoreAnnotations

    public static class CoreAnnotations.NotAnnotation

extends Object
implements CoreAnnotation<Boolean>

annotation stolen from the lex parser

Constructor Summary
`CoreAnnotations.NotAnnotation()`

Method Summary
`Class<Boolean>` | `getType()` Returns the type associated with this annotation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CoreAnnotations.NotAnnotation

    public CoreAnnotations.NotAnnotation()

Method Detail

### getType

    public Class<Boolean> getType()

  Description copied from interface: `CoreAnnotation`
  Returns the type associated with this annotation. This method must return the same class type as its value type parameter. It feels like one should be able to get away without this method, but because Java erases the generic type signature, that info disappears at runtime.

  Specified by:
    `getType` in interface `CoreAnnotation<Boolean>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group